# This is your home-manager configuration file
# Use this to configure your home environment (it replaces ~/.config/nixpkgs/home.nix)
{
  inputs,
  lib,
  config,
  pkgs,
  ...
}: {
  home.packages = with pkgs; [
    # --- CLI utils ---
    spotify-player
    wl-clipboard
    clipse
    timg
    sc-im
  ];
  # --- CLI utils ---
  programs.git = {
    enable = true;
    settings = {
      init.defaultBranch = "main";
      user.name = "winter";
      user.email = "149337190+WinterEkisha@users.noreply.github.com";
    };
  };
  programs.eza = {
    enable = true;
  };
  programs.bat = {
    enable = true;
  };
  programs.btop = {
    enable = true;
  };
  programs.lazygit = {
    enable = true;
  };
  programs.tmux = {
    enable = true;
  };
}
